Bug 52468 - printconf-gui fails on upgrade from Ros1 to Ros2
printconf-gui fails on upgrade from Ros1 to Ros2
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: printconf (Show other bugs)
roswell
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-23 21:07 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-23 21:39:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-23 21:07:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010809

Description of problem:
printconf-gui barphs the following info after updating roswell1 to roswell2:

 printconf
bash: printconf: command not found
[root@f1j tmp]# printconf-gui --help
Xlib: connection to ":0.0" refused by server
Xlib: Client is not authorized to connect to Server
Xlib: connection to ":0.0" refused by server
Xlib: Client is not authorized to connect to Server
Traceback (innermost last):
  File "/usr/sbin/printconf-gui", line 7, in ?
    import printconf_gui
  File "/usr/share/printconf/util/printconf_gui.py", line 87, in ?
    import gtk, gnome.ui, libglade
  File "/usr/lib/python1.5/site-packages/gtk.py", line 29, in ?
    _gtk.gtk_init()
RuntimeError: cannot open display

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Open a bash prompt, type printconf-gui
2.See description
3.
	

Actual Results:   printconf
bash: printconf: command not found
[root@f1j tmp]# printconf-gui --help
Xlib: connection to ":0.0" refused by server
Xlib: Client is not authorized to connect to Server
Xlib: connection to ":0.0" refused by server
Xlib: Client is not authorized to connect to Server
Traceback (innermost last):
  File "/usr/sbin/printconf-gui", line 7, in ?
    import printconf_gui
  File "/usr/share/printconf/util/printconf_gui.py", line 87, in ?
    import gtk, gnome.ui, libglade
  File "/usr/lib/python1.5/site-packages/gtk.py", line 29, in ?
    _gtk.gtk_init()
RuntimeError: cannot open display

Expected Results:  At least load printer config

Additional info:

From the redhat channel, spot told me to post it. He stated that it was
reproducable only on those systems that upgraded Roswell 1 to Roswell 2. A
full install would not replicate this.
Comment 1 Tom "spot" Callaway 2001-08-23 21:39:01 EDT
Yeah, i told him to post it, and i fixed it too. Silly me.

Fix: rpm -e foomatic --nodeps; rm -rf /usr/share/foomatic; rpm -Uvh foomatic

Somehow the foomatic tree gets eaten in a beta->beta upgrade. Works for me (tm).

Note You need to log in before you can comment on or make changes to this bug.